%global debug_package %{nil}
%global project       openshift
%global repo          image-inspector
%global commit        63f07dc6c9713c1b1bff982e1b67a9094992703e
%global shortcommit   %(c=%{commit}; echo ${c:0:7})

Name:           image-inspector
Version:        1.0.0
Release:        1%{?dist}
#Release:        2.git%{shortcommit}%{?dist}
Summary:        Tool for extracting and serving content of container images
License:        ASL 2.0
URL:            https://github.com/openshift/image-inspector
Source0:        https://github.com/%{project}/%{repo}/archive/%{commit}/%{repo}-%{version}.tar.gz
#Source0:        https://github.com/%{project}/%{repo}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz
BuildRequires:  golang >= 1.2-7
ExclusiveArch:  %{ix86} x86_64 %{arm}

%description
Image Inspector can extract docker images to a target directory and
optionally serve the content through webdav.

%prep
%setup -qn %{name}-%{version}
#%setup -qn %{repo}-%{commit}

%build
# set up temporary build gopath, and put our directory there
mkdir -p ./_build/src/openshift.io
ln -s $(pwd) ./_build/src/openshift.io/image-inspector

export GOPATH=$(pwd)/_build:$(pwd)/Godeps/_workspace:%{gopath}
go build -o image-inspector .

%install
install -d %{buildroot}%{_bindir}
install -p -m 0755 ./image-inspector %{buildroot}%{_bindir}/image-inspector

%files
%doc LICENSE README.md
%{_bindir}/image-inspector

%changelog
* Thu Jan 7 2016 Federico Simoncelli <fsimonce@redhat.com> - 1.0.0-1
- Initial Build
